Bug 5387 - /sys in initrd is needed for swsusp2
: /sys in initrd is needed for swsusp2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkinitrd)
: unstable
: all Linux
: P2 minor
Assigned To:
:
: http://lists.altlinux.ru/pipermail/de...
:
:
:
  Show dependency tree
 
Reported: 2004-10-24 10:48 by
Modified: 2005-08-29 18:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-24 10:48:51
--- mkinitrd.orig       2004-10-24 12:47:21 +0600
+++ mkinitrd    2004-10-24 12:46:59 +0600
@@ -394,7 +394,7 @@
        MNTDIR="$WORKDIR/tree"
        RCFILE="$MNTDIR/linuxrc"

-       Mkdir -p $MNTDIR/{etc,dev,safedev,loopfs} ||
+       Mkdir -p $MNTDIR/{etc,dev,safedev,loopfs,sys} ||
                Fatal "Failed to create directories."

        Install /lib/mkinitrd/busybox "$MNTDIR/bin/sh"
------- Comment #1 From 2005-02-09 17:02:46 -------
Fixed in mkinitrd-2.9.2-alt1.